Package org.eclipse.mat.ui.internal

# Enum Perspective.Views

java.lang.Object
java.lang.Enum<Perspective.Views>
org.eclipse.mat.ui.internal.Perspective.Views

All Implemented Interfaces:
  `Serializable`, `Comparable<Perspective.Views>`, `java.lang.constant.Constable`

Enclosing class:
  Perspective

public static enum Perspective.Views extends Enum<Perspective.Views>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMPARE_BASKET_VIEW`
`DETAILS_VIEW`
`ERROR_VIEW`
`HISTORY_VIEW`
`INSPECTOR_VIEW`
`NAVIGATOR_VIEW`
`NOTES_VIEW`
`PROGRESS_VIEW`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
`static Perspective.Views`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Perspective.Views[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HISTORY_VIEW

public static final Perspective.Views HISTORY_VIEW

### DETAILS_VIEW

public static final Perspective.Views DETAILS_VIEW

### NOTES_VIEW

public static final Perspective.Views NOTES_VIEW

### INSPECTOR_VIEW

public static final Perspective.Views INSPECTOR_VIEW

### NAVIGATOR_VIEW

public static final Perspective.Views NAVIGATOR_VIEW

### COMPARE_BASKET_VIEW

public static final Perspective.Views COMPARE_BASKET_VIEW

### PROGRESS_VIEW

public static final Perspective.Views PROGRESS_VIEW

### ERROR_VIEW

public static final Perspective.Views ERROR_VIEW

## Method Details

### values

public static Perspective.Views[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Perspective.Views valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getId

public String getId()